pipeline {
  agent {
    node {
      label 'sphinx'
    }
  }

  triggers { pollSCM('0 17 * * 1-5') } // poll git every weekday at 5pm

  environment {
    SLACK_TOKEN = '54fghFEpv1Rmf6GJ4gJ7cL2y'
  }

  options {
    timeout(5)
    buildDiscarder logRotator(artifactDaysToKeepStr: '', artifactNumToKeepStr: '3', daysToKeepStr: '', numToKeepStr: '10')
    disableConcurrentBuilds()
  }

  stages {
    stage('make docs') {
      steps {
        script {
          version = sh returnStdout: true, script: 'git describe --tags'
          version = version.trim()
          env.BUILD_VERSION = "${version}"
          currentBuild.displayName = "${version}"
        }
        sh 'make clean'
        sh 'make html'
      }
      post {
          success {
              zip archive: true, dir: "build/html", glob: "**/*", zipFile: "connectivity-suite-usermanual-${BUILD_VERSION}.zip"
              publishHTML target: [
                  allowMissing: false,
                  alwaysLinkToLastBuild: false,
                  keepAll: true,
                  reportDir: 'build/html',
                  reportFiles: 'index.html',
                  reportName: 'Read The Docs'
                ]
          }
      }
    }
  }
  post {
    always {
      cleanWs()
    }
  }
}

